Forum

Results 1 to 2 of 2
  1. #1
    Join Date
    August 2019
    Posts
    1

    Oldest TS3 Version that could work?

    So, for some reason I can't open TS3 since it's last version was released. The question is: Downloading an older version could work? I mean, what's the oldest version that it's compatible with actual servers?
    Thanks

  2. #2
    Join Date
    June 2008
    Posts
    18,117
    In your case i would say version 3.3.0 but before i send you a link I want to know what system you have.

    Support for older clients is nothing we give on forum.
    http://files.teamspeak-services.com/releases/client/
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. NON-Profit not work after update on TS Server Version 3.5
    By baloo1986 in forum Server Support
    Replies: 1
    Last Post: November 8th, 2018, 07:10 PM
  2. [Resolved] NPL no longer woking after update to newest version (Server version)
    By Sriggin in forum Linux / FreeBSD
    Replies: 3
    Last Post: August 6th, 2013, 04:36 PM
  3. Client Version FIX Server Version 3.0.7-beta
    By avats in forum Linux / FreeBSD
    Replies: 1
    Last Post: February 19th, 2013, 09:06 AM
  4. MacOSX version doesn't work
    By dmitryo in forum Bug Reports [EN/DE]
    Replies: 1
    Last Post: August 19th, 2010, 07:25 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •